# Uses of Class
org.apache.solr.common.cloud.ClusterState

Packages that use ClusterState
Package
Description
org.apache.solr.client.solrj.impl
Implementations of some client API classes, and their friends.
org.apache.solr.common.cloud
Common Solr Cloud and ZooKeeper related classes reused on both clients & server.

## Uses of ClusterState in org.apache.solr.client.solrj.impl

Methods in org.apache.solr.client.solrj.impl that return ClusterState
Modifier and Type
Method
Description
`ClusterState`
BaseHttpClusterStateProvider.`getClusterState()`
`ClusterState`
CloudSolrClient.`getClusterState()`
Deprecated.
problematic as a 'get' method, since one implementation will do a remote request each time this is called, potentially return lots of data that isn't even needed.
`ClusterState`
ClusterStateProvider.`getClusterState()`
Obtain the current cluster state.
`ClusterState`
DelegatingClusterStateProvider.`getClusterState()`

## Uses of ClusterState in org.apache.solr.common.cloud

Methods in org.apache.solr.common.cloud that return ClusterState
Modifier and Type
Method
Description
`ClusterState`
ClusterState.`copyWith(String collectionName, DocCollection collection)`
Returns a new cluster state object modified with the given collection.
`static ClusterState`
ClusterState.`createFromCollectionMap(int version, Map<String,Object> stateMap, Set<String> liveNodes, Instant creationTime, DocCollection.PrsSupplier prsSupplier)`
Deprecated.
`static ClusterState`
ClusterState.`createFromJson(int version, byte[] bytes, Set<String> liveNodes, Instant creationTime, DocCollection.PrsSupplier prsSupplier)`
Deprecated.